import os

# should be from ENV (currently unused)
# could switch DB_CRED settings for example
IS_DEV = True

APP_ROOT = "/asgi"
SESSION = "PYSESS"  # cookie name used to store settion id

MAX_SESS_TIME = 900  # maximum session idle time in seconds (refreshed every GET/POST)

# pages to log the user in and out
LOGIN_PAGE = 'login'
LOGOUT_PAGE = 'logout'

# pages not requiring login
PUBLIC_PAGES = ('/' + LOGIN_PAGE, '/' + LOGOUT_PAGE, '/', '/page1')

# application DB connection string and user tables
DB_CRED = {
    'CONSTR': 'mysql+pymysql://root:' + os.environ['APP_DBPASS'] + '@localhost/asgiappdb',
    'SESSVARTAB': 'sessvars',
    'USERTAB': 'users'
}

TOKEN_MESSAGE = """
Token failure - possibly you tried to refresh a page, 
or you have multiple pages open.
"""
