from app.lib import util


async def index(scope, receive, send):
    dom, body = util.create_page("Main Page", scope)
    content = util.import_template(body, 'menu.xml')

    # remove the logout link from the template if no one is logged in
    usr = scope['state'].get('user', None)
    if not usr:
        outlink = dom.getElementById('logoutlink')
        if outlink:
            outlink.parentNode.removeChild(outlink)
    else:
        # housekeeping not critical but just for tidyness
        util.clear_all_globals(scope)

    util.dump_scope(content, scope)
    await util.render_page(scope, send, dom)
